TBL(1)

NAME
tbl - format tables for nroff or troff

SYNOPSIS
tbl [-g | -T name] [-me | -mm | -ms] [file ...]

DESCRIPTION
tbl is a preprocessor for formatting tables for nroff or troff. The input files are copied to the standard output, except for lines between .TS and .TE command lines, which are assumed to describe tables and reformatted. Arbitrary whitespace can be inserted between the dot and the commands .TS or .TE. Macros with these names are ignored by tbl if ‘'’ is used instead of ‘’..

OPTIONS

-g  tbl normally uses line drawing commands with repeated underline and box rule characters (\l and \L). With the -g option, graphic drawing commands (\D) are used instead. (This should only be used when processing troff input.) Option -g overrides a previous -T name.

-me | -mm | -ms
    With these options the respective macro packages are copied to the beginning of the output. Details are given in the reference manual.

-T name
    Configure nroff input processing. name can be one of:

    locale
        If tbl is used to process nroff input in an UTF-8 locale and -Tlocale is given lines are printed using Unicode box characters instead of underline and box rule characters. If the current locale does not support UTF-8 this Option has the same effect as -Tlp. Option -Tlocale overrides a previous -g.

    lp  Use ASCII characters (-, =, |, +) instead of underline and box rule characters. Overrides a previous -g.

    X   The -TX option causes tbl not to produce fractional line motions.

EXTENSIONS TO THE AT&T TBL KEY LETTERS

x, X
    Expand column to make table as wide as the current line length. If there is more then one column with a x specifier these columns are expanded by the same amount. This feature had been a GNU tbl extension.

EXAMPLE
As an example, letting \t represent a tab (which should be typed as a genuine tab) the input

    .TS
    c s s
    c c s
    c c c
    l n n.
    Household Population
    Town\tHouseholds
    \tNumber\tSize
    Bedminster\t789\t3.26
    Bernards Twp.\t3087\t3.74
    Bernardsville\t2018\t3.30
    Bound Brook\t3425\t3.04
    Branchburg\t1644\t3.49
    Bridgewater\t7897\t3.81
    Far Hills\t240\t3.19
    .TE

yields

Household Population
Town | Households
 | Number | Size
Bedminster | 789 | 3.26
Bernards Twp. | 3087 | 3.74
Bernardsville | 2018 | 3.30
Bound Brook | 3425 | 3.04
Branchburg | 1644 | 3.49
Bridgewater | 7897 | 3.81
Far Hills | 240 | 3.19

If no arguments are given, tbl reads the standard input, so it may be used as a filter. When it is used with eqn or neqn the tbl command should be first, to minimize the volume of data passed through pipes.

SEE ALSO
troff(1), eqn(1) M. E. Lesk, TBL.